2020年12月08日,阿里云应急响应中心监测到OpenSSL 官方发布安全公告,披露 CVE-2020-1971 OpenSSL GENERAL_NAME_cmp 拒绝服务漏洞


漏洞描述

OpenSSL是一个开放源代码的软件库包,应用程序可以使用这个包来进行安全通信,避免窃听,同时确认另一端连接者的身份。这个包广泛被应用在互联网的网页服务器上。2020年12月08日,OpenSSL 官方发布安全公告,披露 CVE-2020-1971 OpenSSL GENERAL_NAME_cmp 拒绝服务漏洞。当两个GENERAL_NAME都包含同一个EDIPARTYNAME时,由于GENERAL_NAME_cmp函数未能正确处理,从而导致空指针引用,并可能导致拒绝服务。阿里云应急响应中心提醒OpenSSL用户尽快采取安全措施阻止漏洞攻击。


影响版本

OpenSSL 1.1.1 ~ 1.1.1h

OpenSSL 1.0.2 ~ 1.0.2w


安全版本

OpenSSL 1.1.1i

OpenSSL 1.0.2x


安全建议

将 OpenSSL 升级至最新版本。


相关链接

https://www.openssl.org/news/vulnerabilities-1.1.1.html#CVE-2020-1971

https://www.openssl.org/news/vulnerabilities-1.0.2.html#CVE-2020-1971



我们会关注后续进展,请随时关注官方公告。

如有任何问题,可随时通过工单或服务电话95187联系反馈。

阿里云应急响应中心

2020.12.08

欢迎关注阿里云应急响应公众号

点击收藏 | 0 关注 | 0
  • 动动手指,沙发就是你的了!
登录 后跟帖